#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream fi("fibonaci.inp");
    int64_t n;
    fi>>n;
    fi.close();
    ofstream fo("fibonaci.out");
    int64_t a[n];
    int64_t s=2;
    int64_t demtb=0;
    a[1]=1;a[2]=1;
    fo<<1<<' '<<1<<' ';
    for(int64_t i=3;i<=n;i++)
    {
        a[i]=a[i-1]+a[i-2];
        fo<<a[i]<<' ';
        s=s+a[i];
    }
    fo<<endl;
    for(int64_t i=1;i<=n;i++)
    {
        if(a[i]>float(s/n))
        {
            demtb++;
        }
    }
    fo<<demtb;
}
